import request from '@/utils/request'

// 创建产品属性
export function createProductAttr(data) {
  return request({
    url: '/ecw/product-attr/create',
    method: 'post',
    data: data
  })
}

// 更新产品属性
export function updateProductAttr(data) {
  return request({
    url: '/ecw/product-attr/update',
    method: 'put',
    data: data
  })
}

// 删除产品属性
export function deleteProductAttr(id) {
  return request({
    url: '/ecw/product-attr/delete?id=' + id,
    method: 'delete'
  })
}

// 获得产品属性
export function getProductAttr(id) {
  return request({
    url: '/ecw/product-attr/get?id=' + id,
    method: 'get'
  })
}

// 获得所有产品属性
export function getProductAttrList(query) {
  return request({
    url: '/ecw/product-attr/list',
    method: 'get',
    params: query
  })
}

// 获得产品属性分页
export function getProductAttrPage(query) {
  return request({
    url: '/ecw/product-attr/page',
    method: 'get',
    params: query
  })
}

// 导出产品属性 Excel
export function exportProductAttrExcel(query) {
  return request({
    url: '/ecw/product-attr/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
